## NAME

v.convert.all - Converts all older versions of GRASS vector maps in current mapset to current format.

## KEYWORDS

vector, import

## SYNOPSIS

v.convert.all
v.convert.all help
v.convert.all [-r] [--verbose] [--quiet]

### Flags:

-r
  run non-interactively
--verbose
  Verbose module output
--quiet
  Quiet module output

## DESCRIPTION

v.convert.all converts all GRASS 5.0/5.3/5.4 vectors in the current mapset into GRASS 6.0 vectors.

## NOTES

Vector maps from 5.0/5.3/5.4 and 6.0 do not interfere. They are stored in different directories, so you can use the same names. Old vector maps can be listed with g.list oldvect.

If you need to convert back from 6.0 into the 5.0/5.3/5.4 vector format, use v.out.ogr (to SHAPE format) and then v.in.shape in the old GRASS program. Alternatively use "v.out.ascii -o" and v.in.ascii.

As this GRASS version uses SQL for attribute management, there are some SQL restrictings concerning the file names. This script changes dots (e.g. "foo.bar") in old vector map names into underline(s) (e.g. "foo_bar").

## EXAMPLE

To convert all old vector maps in the current mapset to the new vector format:

    v.convert.all -r

## SEE ALSO

g.list, v.convert, v.out.ascii, v.out.ogr

## AUTHOR

Markus Neteler, ITC-Irst, Trento, Italy

Last changed: $Date: 2011-09-04 15:23:30 +0200 (ne, 04 IX 2011) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team